# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^store/$',
        views.StoreList.as_view(),
        name='storedocument_list'
    ),
    url(
        r'^store/(?P<pk>\d+)/retrieve/$',
        views.StoreRetrieve.as_view(),
        name='store_retrieve'
    ),
    url(
        r'^store/create/$',
        views.StoreCreate.as_view(),
        name='store_create'
    ),
    url(
        r'^store/(?P<pk>\d+)/update/$',
        views.StoreUpdate.as_view(),
        name='store_update'
    ),
    url(
        r'^storedocument/$',
        views.StoreDocumentList.as_view(),
        name='storedocument_list'
    ),
    url(
        r'^storedocument/(?P<pk>\d+)/retrieve/$',
        views.StoreDocumentRetrieve.as_view(),
        name='storedocument_retrieve'
    ),
    url(
        r'^storedocument/create/$',
        views.StoreDocumentCreate.as_view(),
        name='storedocument_create'
    ),
    url(
        r'^storedocument/(?P<pk>\d+)/update/$',
        views.StoreDocumentUpdate.as_view(),
        name='storedocument_update'
    ),
    url(
        r'^storedocumentnumber/$',
        views.StoreDocumentNumberList.as_view(),
        name='storedocumentnumber_list'
    ),
    url(
        r'^storedocumentnumber/(?P<pk>\d+)/retrieve/$',
        views.StoreDocumentNumberRetrieve.as_view(),
        name='storedocumentnumber_retrieve'
    ),
    url(
        r'^storedocumentnumber/create/$',
        views.StoreDocumentNumberCreate.as_view(),
        name='storedocumentnumber_create'
    ),
    url(
        r'^storedocumentnumber/(?P<pk>\d+)/update/$',
        views.StoreDocumentNumberUpdate.as_view(),
        name='storedocumentnumber_update'
    ),
    url(
        r'^storecause/$',
        views.StoreCauseList.as_view(),
        name='storecause_list'
    ),
    url(
        r'^storecause/(?P<pk>\d+)/retrieve/$',
        views.StoreCauseRetrieve.as_view(),
        name='storecause_retrieve'
    ),
    url(
        r'^storecause/create/$',
        views.StoreCauseCreate.as_view(),
        name='storecause_create'
    ),
    url(
        r'^storecause/(?P<pk>\d+)/update/$',
        views.StoreCauseUpdate.as_view(),
        name='storecause_update'
    ),
]
