# coding: utf-8
"""
.. _retrieve-kpn-fax:

Bla Bla bla
=============================

Command per
utilizzo::

  dj sample

:-d: variabile Booleana per cancellare il messaggi una volta recuperati
:-l: variabile Numero per limitare il numero di messaggi recuperare
:-v: variabile Booleana per visualizzare i print
:-b, --backup: backup messages in
"""


import re
import os
import sys
import email
import tempfile
import datetime
import logging
try:
    from logutils.colorize import ColorizingStreamHandler as StreamHandler
    ## FIXME: colora debug ma non warn!!!
except ImportError:
    from logging import StreamHandler

from django.core.mail.message import EmailMessage
from django.core.management.base import BaseCommand
from django.conf import settings
from django.core import mail

from optparse import make_option
from thux.store import utils

class Command(BaseCommand):

    """Get all messages from configured Host
    """
    help = "Wao!"

    option_list = BaseCommand.option_list + (
        # -c enables logging using store_true
        make_option('-c', '--console', action='store_true', default=False,
                    help='Debug - write logging to console'),
        # -q changes opt --verbose setting to const
        make_option("-q", "--quiet",
                    action="store_const", const=0, dest="verbose"),
        # limin is an integer
        make_option('-L', '--limit', dest='limit', type='int', help='Limit Messages', default=1000),
        make_option('-l', '--debug-level', default='info',
                    help='Set debug level (debug, info, warnings) for console', ),
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
        make_option('-b', '--backup', action='store_true',
                    help='Keep a backup of retrieved email in ...',),
    )

    output_transaction = True

    def handle(self, *args, **options):

        level = getattr(logging,  options.get('debug_level').upper())
        if options.get('console'):
            console_handler = StreamHandler()
            console_handler.setLevel(level)
            utils.logger.addHandler(console_handler)
            utils.logger.setLevel(level)

            utils.logger.debug("Test DEBUG")
            utils.logger.info("Test INFO")
            utils.logger.warn("Test WARN")
            utils.logger.error("Test ERROR")
            utils.logger.critical("Test CRITIC")
